var l_oGList = IR.GetPage("Page 1").CreateItem(IR.ITEM_GOOD_LIST, "ConList", 16, 16, 320, 600);    //create good list and get the link in one action
var l_oTemp = IR.GetItem("Popup 1");   //get link of popup
l_oGList.SelectMode = 1;   //set select mode

// upd. 
// You should use this:
/*
 IR.AddListener(IR.EVENT_ITEM_PRESS, l_oItem.GetItem("Item 1"), ItemPress);
 
function ItemPress() {
	l_oItem.GetItem("Item 1").Text = "EVENT_ITEM_PRESS";   //show text in element
}

instead

 IR.AddListener(IR.EVENT_ITEM_PRESS, l_oItem.GetItem("Item 1"), function () {
	l_oItem.GetItem("Item 1").Text = "EVENT_ITEM_PRESS";   //show text in element	
});

*/

l_oGList.Adapter = {
   total: 999,   //count of list elements
   GetCount : function () {   //function of getting count of list element
			return this.total;
		},     
   GetItem: GetItem,
   SetSelected : function (in_oItem, in_bSelected) {   //function for work with selected elements
	 IR.Log(in_oItem.Name + " sel " + in_bSelected);    //Log
		if (in_bSelected) {
			in_oItem.GetItem("Item 1").GetState(0).FillColor = 0X6FF2B4FF;    //change color of selected element
		} else {
			in_oItem.GetItem("Item 1").GetState(0).FillColor = 0xFFFFFFFF;
		}    
   }     
};  
IR.Log("123123 = " + l_oGList.Adapter.GetCount())

var l_oItem;

function GetItem(in_nPos) {
	l_oItem = l_oTemp.Clone("" + in_nPos);   //clone popup, set name and get link
	l_oItem.GetItem("Item 1").Text = "Element " + in_nPos;   //show text in element
	//set listener for press list element Item 1
	IR.AddListener(IR.EVENT_ITEM_PRESS, l_oItem.GetItem("Item 1"), ItemPress);
	//set listener for touch move of list element Item 1
	IR.AddListener(IR.EVENT_TOUCH_MOVE, l_oItem.GetItem("Item 1"), ItemTouchMove);
	//set listener for mouse move of list element Item 1
	IR.AddListener(IR.EVENT_MOUSE_MOVE, l_oItem.GetItem("Item 1"), ItemMouseMove);
	//set listener for release list element Item 1
	IR.AddListener(IR.EVENT_ITEM_RELEASE, l_oItem.GetItem("Item 1"), ItemRelease);
	//set listener for release "Add" button
	IR.AddListener(IR.EVENT_ITEM_RELEASE, l_oItem.GetItem("Add"), AddRelese);
	//set listener for release "Delete" button
	IR.AddListener(IR.EVENT_ITEM_RELEASE, l_oItem.GetItem("Delete"), DeleteRelease);
	//set listener for release "Clear" button
	IR.AddListener(IR.EVENT_ITEM_RELEASE, l_oItem.GetItem("Clear"), clearRelease);
	return l_oItem;   //get item object
}

function ItemPress() {
	l_oItem.GetItem("Item 1").Text = "EVENT_ITEM_PRESS";   //show text in element	
}

function ItemTouchMove() {
	l_oItem.GetItem("Item 1").Text = "EVENT_TOUCH_MOVE";    //show text in element
}

function ItemMouseMove() {
	l_oItem.GetItem("Item 1").Text = "EVENT_MOUSE_MOVE";	  //show text in element
}

function ItemRelease() {
	l_oItem.GetItem("Item 1").Text = "EVENT_ITEM_RELEASE";    //show text in element
	l_oGList.SetSelected(l_oItem);   //set selected	
}

function AddRelese() {
	l_oGList.Adapter.total += 1;   //add one list element
	l_oGList.SetSelected(l_oItem);   //set selected	
	l_oGList.Update();   //update list
}

function DeleteRelease() {
	if (l_oGList.Adapter.total > 1)     
	{
		l_oGList.Adapter.total -= 1;   //delete one list element
	}
	else l_oGList.Adapter.total = 1;   //set one list element
	l_oGList.SetSelected(l_oItem);	//set selected
	l_oGList.Update();   //update list
}

function clearRelease() {
	l_oGList.Adapter.total = 1;   //set one list element 
	l_oGList.Update();   //update list	
}